package kr.gmtc.gw.dev.asderecv.asde.rest.vo;

public class ServiceAsdeData {

	private String cat_ty; // 카테고리 유형 (10:Cat10, 11:Cat11)
	private String clsgn; // Callsign
	private String tail_no; // 항공기등록기호
	private String mode_s_cd; // Mode-S 코드
	private String ssr_cd; // SSR 코드(squawkcode)	

	private String track_no; // Track number
	private String trgt_id; // 타겟 ID
	private String recptn_dt; // 수신일시

	private String lat; // 위도
	private String lon; // 경도
	private String spd; // 속도
	private String cos; // 방위
	private String trgt_ty; // 타겟 ID

	public ServiceAsdeData() {
		super();
		this.cat_ty = "";
		this.trgt_id = "";
		this.mode_s_cd = "";
		this.ssr_cd = "";
		this.clsgn = "";
		this.tail_no = "";
		this.track_no = "";
		this.recptn_dt = "";
		this.lat = "0";
		this.lon = "0";
		this.spd = "0";
		this.cos = "0";
		this.trgt_ty = "0";
	}

	public boolean filterSvcData() {

		boolean bFilter = true;

		if (!trgt_id.equals("")
				|| !mode_s_cd.equals("")
				|| !ssr_cd.equals("")
				|| !clsgn.equals("")
				|| !tail_no.equals("")
				|| !track_no.equals("")
		) {

			if (!(lat.equals("0") && lon.equals("0"))) {
				bFilter = true;
			} else {
				bFilter = false;
			}

//			if (clsgn.equals("KAL038")
//					|| tail_no.equals("HL8346")
//			) {
//				bFilter = true;
//			}else{
//				bFilter = false;
//			}

		} else {
			bFilter = false;
		}

		return bFilter;
	}


	public String getTrgt_id() {
		return trgt_id;
	}

	public void setTrgt_id(String trgt_id) {
		this.trgt_id = trgt_id;
	}

	public String getMode_s_cd() {
		return mode_s_cd;
	}

	public void setMode_s_cd(String mode_s_cd) {
		this.mode_s_cd = mode_s_cd;
	}

	public String getSsr_cd() {
		return ssr_cd;
	}

	public void setSsr_cd(String ssr_cd) {
		this.ssr_cd = ssr_cd;
	}

	public String getClsgn() {
		return clsgn;
	}

	public void setClsgn(String clsgn) {
		this.clsgn = clsgn;
	}

	public String getTail_no() {
		return tail_no;
	}

	public void setTail_no(String tail_no) {
		this.tail_no = tail_no;
	}

	public String getTrack_no() {
		return track_no;
	}

	public void setTrack_no(String track_no) {
		this.track_no = track_no;
	}

	public String getRecptn_dt() {
		return recptn_dt;
	}

	public void setRecptn_dt(String recptn_dt) {
		this.recptn_dt = recptn_dt;
	}

	public String getCat_ty() {
		return cat_ty;
	}

	public void setCat_ty(String cat_ty) {
		this.cat_ty = cat_ty;
	}

	public String getLat() {
		return lat;
	}

	public void setLat(String lat) {
		this.lat = lat;
	}

	public String getLon() {
		return lon;
	}

	public void setLon(String lon) {
		this.lon = lon;
	}

	public String getSpd() {
		return spd;
	}

	public void setSpd(String spd) {
		this.spd = spd;
	}

	public String getCos() {
		return cos;
	}

	public void setCos(String cos) {
		this.cos = cos;
	}


	public String getTrgt_ty() {
		return trgt_ty;
	}

	public void setTrgt_ty(String trgt_ty) {
		this.trgt_ty = trgt_ty;
	}

	@Override
	public String toString() {
		return "trgt_id=" + trgt_id + ", mode_s_cd=" + mode_s_cd + ", ssr_cd=" + ssr_cd + ", clsgn="
				+ clsgn + ", tail_no=" + tail_no + ", track_no=" + track_no + ", recptn_dt=" + recptn_dt + ", cat_ty="
				+ cat_ty + ", lat=" + lat + ", lon=" + lon + ", spd=" + spd + ", cos=" + cos + ", trgt_type=" + trgt_ty;
	}



}